#
# spec file for package kde-print-manager
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 24.9.90 Raymond Wooninck <tittiatcoke@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kde-print-manager
Summary:        A new print manager for KDE
License:        GPL-2.0+
Group:          System/GUI/KDE
Version:        15.12.3
Release:        0
Source:         print-manager-%{version}.tar.xz
BuildRequires:  cups
BuildRequires:  cups-backends
BuildRequires:  cups-client
BuildRequires:  cups-devel
BuildRequires:  cups-pk-helper
BuildRequires:  extra-cmake-modules
BuildRequires:  kcmutils-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Widgets)
Url:            http://dantti.wordpress.com/24.9.90/02/12/print-manager/
Obsoletes:      kde4-print-manager < %{version}
Conflicts:      kde4-print-manager
Obsoletes:      print-manager5 < %{version}
Provides:       print-manager5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This project aims to be a full replacement for the
current printing management of KDE.

* It should be small and fast
* Simple and functional
* Very well integrated

Author(s):
  Dantti 


%prep
%setup -n print-manager-%{version} -q

%build 
  %cmake_kf5 -d build -- -DCUPS_INCLUDE_DIR=/usr/include/cups
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.PrintQueue  Utility  DesktopUtility
  %suse_update_desktop_file -r org.kde.AddPrinter  Utility  DesktopUtility

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_kf5_bindir}/kde-print-queue
%{_kf5_bindir}/configure-printer
%{_kf5_bindir}/kde-add-printer
%{_kf5_libdir}/libkcupslib.so*
%{_kf5_servicesdir}/kcm_printer_manager.desktop
%dir %{_kf5_servicesdir}/kded
%{_kf5_servicesdir}/kded/printmanager.desktop
%{_kf5_plugindir}/kcm_printer_manager.so
%{_kf5_plugindir}/kded_printmanager.so
%{_kf5_applicationsdir}/org.kde.ConfigurePrinter.desktop
%{_kf5_applicationsdir}/org.kde.AddPrinter.desktop
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/plasmoids
%{_datadir}/plasma/plasmoids/org.kde.plasma.printmanager/
%{_kf5_servicesdir}/plasma-applet-org.kde.plasma.printmanager.desktop
%{_kf5_applicationsdir}/org.kde.PrintQueue.desktop
%{_kf5_qmldir}/org/kde/plasma/printmanager/
%{_kf5_notifydir}/printmanager.notifyrc

%changelog
